---
title: Remote Debugging
slug: Tools/Remote_Debugging
tags:
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>You can use the <a href="/en-US/docs/Tools">Firefox developer tools</a> on your desktop to debug Web sites and Web apps running in other browsers or runtimes. The other browser might be on the same device as the tools themselves or on a different device, such as a phone connected over USB.</p>

<p>The detailed instructions for connecting the developer tools are specific to the runtime.</p>

<p>You can connect the developer tools to Gecko-based runtimes like Firefox Desktop, Firefox for Android, and Thunderbird.</p>

<ul>
 <li><a href="/en-US/docs/Tools/Remote_Debugging/Debugging_Firefox_Desktop">Firefox Desktop</a></li>
 <li>Firefox for Android <a href="/en-US/docs/Tools/about:debugging">over USB </a></li>
 <li><a href="/en-US/docs/Tools/Remote_Debugging/Thunderbird">Thunderbird</a></li>
</ul>
